Get status changes
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/statusChanges \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/statusChanges"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/statusChanges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusChanges": [
{
"changedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"changedDate": "2023-11-07T05:31:56Z"
}
]
}Job
Get status changes
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
statusChanges
Get status changes
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Sort order of the returned status changes
Available options:
ASC, DESC Response
OK
Status changes of the job, ordered by the requested sort order
Show child attributes
Show child attributes
Was this page helpful?
⌘I